Index of Functions: A B C D E F G H I J K L M N O P Q R S T U V W X
Index Page mind_c
Table of contents
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       mind_c ( Minimum of a set of double precision values )

       SpiceDouble mind_c ( SpiceInt  n,  ... )
#### Abstract
       Find the minimum of a set of double precision values.
#### Required_Reading
       PLANES
#### Keywords
       GEOMETRY
       MATH
       PLANE
#### Brief_I/O
       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       n          I   The number of double precision values to compare.
       ...        I   The numbers to be compared, separated by commas.
#### Detailed_Input
       n           is the number of double precision values in the set whose
                   minimum is to be determined.

       ...         represents a variable argument list. The number of double
                   precision values supplied must be that indicated by `n'. The
                   values are separated by commas.

                   Section 5.2.4.1 of the ANSI C Standard, titled "Translation
                   Limits," specifies that argument lists containing at least 31
                   items must be supported. In the interest of portability, no
                   more than 30 double precision values should be supplied.
#### Detailed_Output
       The function returns the minimum of the set of input double precision
       values.
#### Parameters
       None.
#### Exceptions
       Error free.

       1)  If `n' is less than 1, the value 0.0 is returned.

       2)  If the number of double precision values supplied does not match
           the argument `n', the action of this routine is not defined.

       3)  If the number of double precision values supplied exceeds 30,
           the action of this routine is not defined.
#### Files
       None.
#### Particulars
       None.
#### Examples
       1) Find the minimum of four double precision values.

          #include "SpiceUsr.h"
               .
               .
               .

          SpiceDouble             min;
          SpiceDouble             a;
          SpiceDouble             b;
          SpiceDouble             c;
          SpiceDouble             d;
               .
               .
               .

          min = mind_c ( 4, a, b, c, d );
#### Restrictions
       1)  The ANSI C Standard specifies that argument lists containing 31
           actual arguments must be supported. Larger sets of values may
           not be handled properly by this routine.
#### Literature_References
       [1]  "American National Standard for Programming Languages -- C,"
            Section 5.4.2.1, "Translation Limits," p.13, American National
            Standards Institute, 1990.
#### Author_and_Institution
       N.J. Bachman        (JPL)
       J. Diaz del Rio     (ODC Space)
       E.D. Wright         (JPL)
#### Version
       -CSPICE Version 1.0.2, 10-AUG-2021 (JDR)

           Edited the header to comply with NAIF standard.

       -CSPICE Version 1.0.1, 11-NOV-2006 (EDW)

           Added "None." text to -Particulars section, required for
           API doc script (cspicehtml.pl) integrity checks.

       -CSPICE Version 1.0.0, 16-SEP-1999 (NJB)
#### Index_Entries
       minimum of double precision values
#### Link to routine mind_c source file mind_c.c

    Fri Dec 31 18:41:09 2021